/**
 * Created by Zhong on 2018/3/22.
 */
/*标准定额库-安装分册章节*/
const mongoose = require('mongoose');
const Schema = mongoose.Schema;
//安装增加费-费用规则
const feeRuleSchema = new Schema({
    ID: String,
    code: String,
    rule: String,
    base: String,
    feeRate: Number,
    labour: Number,
    material: Number,
    machine: Number
});

//标准安装增加费-分册章节
const installSectionSchema = new Schema({
    rationRepId: Number,
    ID: String,
    feeItemId: String,
    name: String,
    feeRule: [feeRuleSchema],
    deleted: false
}, {versionKey: false});

mongoose.model('std_ration_lib_installationSection', installSectionSchema, 'std_ration_lib_installationSection');